Qt 5.9

Qt 5.9.1 Reference Documentation

# WebLoadRequest QML Type

A utility class for the WebView::loadingChanged signal. More...

Import Statement: | import QtWebKit 3.0

- List of all members, including inherited members

## Properties

- errorCode : int
- errorString : string
- status : enumeration
- url : url

## Detailed Description

This class contains information about a requested load of a web page, like the URL and current loading status (started, finished, failed).

See also WebView::onLoadingChanged.

## Property Documentation

errorCode : int

errorString : string

status : enumeration

The load status of a web page load request.

- WebView::LoadStartedStatus - the page is currently loading.
- WebView::LoadSucceededStatus - the page has been loaded with success.
- WebView::LoadFailedStatus - the page has failed loading.

See also WebLoadRequest and WebView::onLoadingChanged.

url : url

The URL of the load request.